替换 timeCard

命名空间:microsoft.graph

重要

Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。

将现有的 timeCard 替换为 更新的值。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) Schedule.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 Schedule.ReadWrite.All*

*重要提示: 使用应用程序权限时,必须在请求 MS-APP-ACTS-AS 中包括 标头。

HTTP 请求

PUT /teams/{teamId}/schedule/timecards/{timeCardID}

请求标头

标头
Authorization Bearer {token}。必需。
Content-Type application/json. Required.
MS-APP-ACTS-AS 应用代表其操作的用户的 ID。 使用应用程序权限范围时是必需的。

请求正文

在请求正文中,提供 timeCard 对象的 JSON 表示形式。

响应

如果成功,此方法返回 204 No Content 响应代码。

示例

请求

下面展示了示例请求。

PUT https://graph.microsoft.com/beta/teams/fd15cad8-80f6-484f-9666-3caf695fbf32/schedule/timeCards/TCK_3cd7413f-0337-433b-9a49-da0923185b3f
Content-type: application/json

{
    "userId": "70e47528-2fae-42b5-9d8e-ee73ccd90603",
    "state": "clockedOut",
    "confirmedBy": "None",
    "notes": null,
    "clockInEvent": {
        "dateTime": "2021-05-21T21:58:41.327Z",
        "atApprovedLocation": null,
        "notes": {
            "contentType": "text",
            "content": "update sample notes"
        }
    },
    "clockOutEvent": {
        "dateTime": "2021-05-21T22:01:46.205Z",
        "atApprovedLocation": null,
        "notes": {
            "contentType": "text",
            "content": "update sample notes"
        }
    },
    "breaks": [
        {
            "breakId": "BRK_138f4751-68b1-44c1-aca2-2b26cba9e73f",
            "notes": null,
            "start": {
                "dateTime": "2021-05-21T21:59:59.328Z",
                "atApprovedLocation": null,
                "notes": {
                    "contentType": "text",
                    "content": "update sample notes"
                }
            },
            "end": {
                "dateTime": "2021-05-21T22:01:10.205Z",
                "atApprovedLocation": null,
                "notes": {
                    "contentType": "text",
                    "content": "update sample notes"
                }
            }
        }
    ]
}

响应

下面展示了示例响应。

HTTP/1.1 204 No Content